"""Simple data loader module.

Outputs paths of data files from the "data" directory shipped with a game."""

import os
import pygame

#data_py = os.path.abspath(os.path.dirname(__file__))
#data_dir = os.path.normpath(os.path.join(data_py, '..', 'data'))
data_dir = 'data'

def filepath(filename):
    """Determine the path to a file in the data directory."""
    return os.path.join(data_dir, filename)
    
#A file loader function that existed in the normal pyweek skellington 1.10
#has been removed from here, since it mostly caused incompatibility issues
#in pyweek 4 games without being of any real use.

#I've added my own load_image however
def load_image(filename, transparent=False):
	"loads an image"
	path = os.path.join('data', filename)
	try:
		surface = pygame.image.load(path)
		if transparent:
		    surface.set_colorkey(surface.get_at((0,0)), pygame.RLEACCEL)
	except pygame.error:
		raise SystemExit, 'Could not load image "%s" %s'%(path, pygame.get_error())
	return surface.convert()