#This file contains constant values used throughout the game code.

#This is used for creating config file paths
#IMPORTANT: CHANGE THIS TO CORRESPOND TO YOUR GAME.
#NOT CHANGING THIS MIGHT LEAD TO CONFLICTING CONFIG FILES.
GAME_NAME_SHORT = "hamsters"

#Game screen dimensions used by functions in util.py
SCREEN_WIDTH = 640
SCREEN_HEIGHT = 480

#
#These are used by functions in util.py:
#

FPS = 30

#For the fade_to_black function.
FADE_STATE_NONE = 0       # The screen is not faded at all.
FADE_STATE_BLACK = 255    # The screen is all black.

#Fade times in seconds, FADE_IN must be negative and FADE_OUT positive.
FADE_IN = -1.0
FADE_OUT = 1.0

#For the GUI
FONT_NAME = "Vera.ttf"
FONT_SIZE = 30
COLOR_GUI = (230, 230, 230)
#COLOR_GUI_HILIGHT = (250, 250, 250)
COLOR_GUI_HILIGHT = (120, 120, 60)
COLOR_GUI_DARK = (50, 50, 50)
COLOR_GUI_BG = (0, 0, 0)

#For the menu, used in menu.py:
MENU_QUIT = -1
MENU_MAX_VISIBLE = 10 #maximum amount of choices visible in the menu at one time
GUI_MENU_TOP = 100 #in pixels
GUI_MENU_CENTER = 475 #SCREEN_WIDTH / 2 #in pixels

MENU_ALIGN_LEFT = 0
MENU_ALIGN_RIGHT = 1
MENU_ALIGN_CENTER = 2
GUI_MENU_ALIGN = MENU_ALIGN_LEFT #Control the menu alignment
GUI_WRAP = True #Allow the Menu choices to wrap around
GUI_MOUSE = True #Allow menu selection using the mouse


#How many old log lines are kept in the log file when the log is updated
MAX_OLD_LOG_LINES = 50