"""Game main module.

Contains the entry point used by the run_game.py script.

Feel free to put all your game code here, or in other modules in this "lib"
directory.
"""

import pygame
from pygame.locals import *

from util import parse_config, write_config, write_log
from log import error_message
import data

#For testing and demonstration:
from util import str_to_bool, render_text
from menu import Menu

from locals import *
import gui

def main():
    # These should always be run first for the other included modules to work
    parse_config()
    pygame.init()
    
    try:
        import psyco
        psyco.full()
    except:
        error_message("Psyco not found, consider installing for a speed boost.")
            
    #error_message("This is a sample error message. To disable outputting " + \
    #"them in console, edit parse_config in util.py, which sets the " + \
    #"default verbose setting.")

    screen = pygame.display.set_mode((SCREEN_WIDTH,SCREEN_HEIGHT))
    m = gui.StartMenu(screen)
    m.draw()

    # Save the config and log on exit!
    write_config()
    write_log()
    return

